unit QRCodeEncodeDLL;

interface
uses
  Windows,Graphics;

type

LPQRCODECONTEXT = ^TQRCODECONTEXT;
TQRCODECONTEXT = record
	nVersion : integer;
	nCorrectionLevel : integer;
	nEncodeMode : integer;
	nEci : integer;
	nFnc1Mode :integer;
	nStructuredAppendIndex : integer;
	nStructuredAppendCounter : integer;
	nApplicationIndicator : integer;
	bStructuredAppend : boolean;
	bProcessTilde: boolean;
	bAutoConfigurate: boolean;
	cData: array[1..7100] of char;				// _$3342ַб;
	nSize : integer;
	nMargin : BYTE;
	nPixelSize : BYTE;
	clBackGround : TColor;
	clForeGround : TColor;
end;

procedure InitWorkSpace(pQRCodeCtx : LPQRCODECONTEXT ); stdcall; external 'QRCODEENCODEDLL.DLL';
function  QRCodeEncode2File(pQRCodeCtx : LPQRCODECONTEXT;lpImageFile :PChar) : boolean; stdcall;external 'QRCODEENCODEDLL.DLL';
function  QRCodeEncode2Bitmap(pQRCodeCtx : LPQRCODECONTEXT) : HBITMAP;stdcall;external 'QRCODEENCODEDLL.DLL';
function  FreeWorkSpace : boolean;stdcall external 'QRCODEENCODEDLL.DLL';

implementation

end.
 